﻿using System;
using System.ComponentModel;
using System.Windows.Forms;

/*
 *! @brief          Hauptdialog fuer C#-Beispiel
 *
 *! @author         Markus Biggel
 * letzte Aenderung 30.09.2010
 *
 *! @addtogroup csharpusage Verwendung in C#
 *! @file Beispiele/UsageInC-Sharp/src/MainForm.Designer.cs
 *! @ingroup csharpusage csharp csharpusageev
 */


namespace keypilot
{
    partial class MainForm
    {
        /// <summary>
        /// Designer variable used to keep track of non-visual components.
        /// </summary>
        private IContainer components = null;


        /// <summary>
        /// Disposes resources used by the form.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(
                                    bool disposing )
        {
            if ( disposing ) {
                if ( components != null ) {
                    components.Dispose();
                }
            }
            base.Dispose( disposing );
        }


        #region Windows Form Designer generated code

        /// <summary>
        /// This method is required for Windows Forms designer support.
        /// Do not change the method contents inside the source code editor. The Forms designer might
        /// not be able to load this method if it was changed manually.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager( typeof( MainForm ) );
            this.mnuMain = new System.Windows.Forms.MenuStrip();
            this.mnuMainItemFile = new System.Windows.Forms.ToolStripMenuItem();
            this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.keyPilotToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.statusStrip1 = new System.Windows.Forms.StatusStrip();
            this.statusBarText = new System.Windows.Forms.ToolStripStatusLabel();
            this.gbDllData = new System.Windows.Forms.GroupBox();
            this.tabLayoutDllData = new System.Windows.Forms.TableLayoutPanel();
            this.dllPath = new System.Windows.Forms.Label();
            this.lbDllPath = new System.Windows.Forms.Label();
            this.dllVersion = new System.Windows.Forms.Label();
            this.lbDllVersion = new System.Windows.Forms.Label();
            this.tabLayoutUnten = new System.Windows.Forms.TableLayoutPanel();
            this.gbKeyPilotData = new System.Windows.Forms.GroupBox();
            this.tabLayoutKeyPilotData = new System.Windows.Forms.TableLayoutPanel();
            this.lbKpSerialNo = new System.Windows.Forms.Label();
            this.kpSerialNo = new System.Windows.Forms.Label();
            this.lbKpFirmware = new System.Windows.Forms.Label();
            this.kpFirmware = new System.Windows.Forms.Label();
            this.lbKpName = new System.Windows.Forms.Label();
            this.kpName = new System.Windows.Forms.Label();
            this.lbKpDescription = new System.Windows.Forms.Label();
            this.kpDescription = new System.Windows.Forms.Label();
            this.gbKeyData = new System.Windows.Forms.GroupBox();
            this.tabLayoutKeyData = new System.Windows.Forms.TableLayoutPanel();
            this.famCode = new System.Windows.Forms.Label();
            this.lbFamCode = new System.Windows.Forms.Label();
            this.keyID = new System.Windows.Forms.Label();
            this.lbKeyID = new System.Windows.Forms.Label();
            this.btnReadKey = new System.Windows.Forms.Button();
            this.btnEventMode = new System.Windows.Forms.Button();
            this.gbKeyPageData = new System.Windows.Forms.GroupBox();
            this.tabLayoutKeyPages = new System.Windows.Forms.TableLayoutPanel();
            this.btnReadPages = new System.Windows.Forms.Button();
            this.pagesContent = new System.Windows.Forms.TextBox();
            this.mnuMain.SuspendLayout();
            this.statusStrip1.SuspendLayout();
            this.gbDllData.SuspendLayout();
            this.tabLayoutDllData.SuspendLayout();
            this.tabLayoutUnten.SuspendLayout();
            this.gbKeyPilotData.SuspendLayout();
            this.tabLayoutKeyPilotData.SuspendLayout();
            this.gbKeyData.SuspendLayout();
            this.tabLayoutKeyData.SuspendLayout();
            this.gbKeyPageData.SuspendLayout();
            this.tabLayoutKeyPages.SuspendLayout();
            this.SuspendLayout();
            // 
            // mnuMain
            // 
            this.mnuMain.Items.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.mnuMainItemFile,
            this.keyPilotToolStripMenuItem} );
            resources.ApplyResources( this.mnuMain, "mnuMain" );
            this.mnuMain.Name = "mnuMain";
            // 
            // mnuMainItemFile
            // 
            this.mnuMainItemFile.DropDownItems.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.exitToolStripMenuItem} );
            this.mnuMainItemFile.Name = "mnuMainItemFile";
            resources.ApplyResources( this.mnuMainItemFile, "mnuMainItemFile" );
            // 
            // exitToolStripMenuItem
            // 
            this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
            resources.ApplyResources( this.exitToolStripMenuItem, "exitToolStripMenuItem" );
            this.exitToolStripMenuItem.Click += new System.EventHandler( this.ExitToolStripMenuItemClick );
            // 
            // keyPilotToolStripMenuItem
            // 
            this.keyPilotToolStripMenuItem.Name = "keyPilotToolStripMenuItem";
            resources.ApplyResources( this.keyPilotToolStripMenuItem, "keyPilotToolStripMenuItem" );
            this.keyPilotToolStripMenuItem.Click += new System.EventHandler( this.KeyPilotToolStripMenuItemClick );
            // 
            // statusStrip1
            // 
            this.statusStrip1.Items.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.statusBarText} );
            resources.ApplyResources( this.statusStrip1, "statusStrip1" );
            this.statusStrip1.MinimumSize = new System.Drawing.Size( 200, 24 );
            this.statusStrip1.Name = "statusStrip1";
            this.statusStrip1.SizingGrip = false;
            // 
            // statusBarText
            // 
            this.statusBarText.Name = "statusBarText";
            resources.ApplyResources( this.statusBarText, "statusBarText" );
            // 
            // gbDllData
            // 
            this.gbDllData.Controls.Add( this.tabLayoutDllData );
            resources.ApplyResources( this.gbDllData, "gbDllData" );
            this.gbDllData.MinimumSize = new System.Drawing.Size( 200, 30 );
            this.gbDllData.Name = "gbDllData";
            this.gbDllData.TabStop = false;
            // 
            // tabLayoutDllData
            // 
            resources.ApplyResources( this.tabLayoutDllData, "tabLayoutDllData" );
            this.tabLayoutDllData.Controls.Add( this.dllPath, 1, 1 );
            this.tabLayoutDllData.Controls.Add( this.lbDllPath, 0, 1 );
            this.tabLayoutDllData.Controls.Add( this.dllVersion, 1, 0 );
            this.tabLayoutDllData.Controls.Add( this.lbDllVersion, 0, 0 );
            this.tabLayoutDllData.Name = "tabLayoutDllData";
            // 
            // dllPath
            // 
            resources.ApplyResources( this.dllPath, "dllPath" );
            this.dllPath.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.dllPath.Name = "dllPath";
            this.dllPath.UseMnemonic = false;
            // 
            // lbDllPath
            // 
            resources.ApplyResources( this.lbDllPath, "lbDllPath" );
            this.lbDllPath.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbDllPath.Name = "lbDllPath";
            this.lbDllPath.UseMnemonic = false;
            // 
            // dllVersion
            // 
            resources.ApplyResources( this.dllVersion, "dllVersion" );
            this.dllVersion.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.dllVersion.Name = "dllVersion";
            this.dllVersion.UseMnemonic = false;
            // 
            // lbDllVersion
            // 
            resources.ApplyResources( this.lbDllVersion, "lbDllVersion" );
            this.lbDllVersion.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbDllVersion.Name = "lbDllVersion";
            this.lbDllVersion.UseMnemonic = false;
            // 
            // tabLayoutUnten
            // 
            resources.ApplyResources( this.tabLayoutUnten, "tabLayoutUnten" );
            this.tabLayoutUnten.Controls.Add( this.gbKeyPilotData, 0, 0 );
            this.tabLayoutUnten.Controls.Add( this.gbKeyData, 1, 0 );
            this.tabLayoutUnten.Controls.Add( this.gbKeyPageData, 0, 1 );
            this.tabLayoutUnten.MinimumSize = new System.Drawing.Size( 400, 200 );
            this.tabLayoutUnten.Name = "tabLayoutUnten";
            // 
            // gbKeyPilotData
            // 
            this.gbKeyPilotData.Controls.Add( this.tabLayoutKeyPilotData );
            resources.ApplyResources( this.gbKeyPilotData, "gbKeyPilotData" );
            this.gbKeyPilotData.Name = "gbKeyPilotData";
            this.gbKeyPilotData.TabStop = false;
            // 
            // tabLayoutKeyPilotData
            // 
            resources.ApplyResources( this.tabLayoutKeyPilotData, "tabLayoutKeyPilotData" );
            this.tabLayoutKeyPilotData.Controls.Add( this.lbKpSerialNo, 0, 0 );
            this.tabLayoutKeyPilotData.Controls.Add( this.kpSerialNo, 1, 0 );
            this.tabLayoutKeyPilotData.Controls.Add( this.lbKpFirmware, 0, 1 );
            this.tabLayoutKeyPilotData.Controls.Add( this.kpFirmware, 1, 1 );
            this.tabLayoutKeyPilotData.Controls.Add( this.lbKpName, 0, 2 );
            this.tabLayoutKeyPilotData.Controls.Add( this.kpName, 1, 2 );
            this.tabLayoutKeyPilotData.Controls.Add( this.lbKpDescription, 0, 3 );
            this.tabLayoutKeyPilotData.Controls.Add( this.kpDescription, 1, 3 );
            this.tabLayoutKeyPilotData.Name = "tabLayoutKeyPilotData";
            // 
            // lbKpSerialNo
            // 
            resources.ApplyResources( this.lbKpSerialNo, "lbKpSerialNo" );
            this.lbKpSerialNo.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbKpSerialNo.Name = "lbKpSerialNo";
            this.lbKpSerialNo.UseMnemonic = false;
            // 
            // kpSerialNo
            // 
            resources.ApplyResources( this.kpSerialNo, "kpSerialNo" );
            this.kpSerialNo.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.kpSerialNo.Name = "kpSerialNo";
            this.kpSerialNo.UseMnemonic = false;
            // 
            // lbKpFirmware
            // 
            resources.ApplyResources( this.lbKpFirmware, "lbKpFirmware" );
            this.lbKpFirmware.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbKpFirmware.Name = "lbKpFirmware";
            this.lbKpFirmware.UseMnemonic = false;
            // 
            // kpFirmware
            // 
            resources.ApplyResources( this.kpFirmware, "kpFirmware" );
            this.kpFirmware.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.kpFirmware.Name = "kpFirmware";
            this.kpFirmware.UseMnemonic = false;
            // 
            // lbKpName
            // 
            resources.ApplyResources( this.lbKpName, "lbKpName" );
            this.lbKpName.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbKpName.Name = "lbKpName";
            this.lbKpName.UseMnemonic = false;
            // 
            // kpName
            // 
            resources.ApplyResources( this.kpName, "kpName" );
            this.kpName.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.kpName.Name = "kpName";
            this.kpName.UseMnemonic = false;
            // 
            // lbKpDescription
            // 
            resources.ApplyResources( this.lbKpDescription, "lbKpDescription" );
            this.lbKpDescription.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbKpDescription.Name = "lbKpDescription";
            this.lbKpDescription.UseMnemonic = false;
            // 
            // kpDescription
            // 
            resources.ApplyResources( this.kpDescription, "kpDescription" );
            this.kpDescription.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.kpDescription.Name = "kpDescription";
            this.kpDescription.UseMnemonic = false;
            // 
            // gbKeyData
            // 
            this.gbKeyData.Controls.Add( this.tabLayoutKeyData );
            resources.ApplyResources( this.gbKeyData, "gbKeyData" );
            this.gbKeyData.Name = "gbKeyData";
            this.gbKeyData.TabStop = false;
            // 
            // tabLayoutKeyData
            // 
            resources.ApplyResources( this.tabLayoutKeyData, "tabLayoutKeyData" );
            this.tabLayoutKeyData.Controls.Add( this.famCode, 1, 1 );
            this.tabLayoutKeyData.Controls.Add( this.lbFamCode, 0, 1 );
            this.tabLayoutKeyData.Controls.Add( this.keyID, 1, 0 );
            this.tabLayoutKeyData.Controls.Add( this.lbKeyID, 0, 0 );
            this.tabLayoutKeyData.Controls.Add( this.btnReadKey, 0, 2 );
            this.tabLayoutKeyData.Controls.Add( this.btnEventMode, 1, 2 );
            this.tabLayoutKeyData.Name = "tabLayoutKeyData";
            // 
            // famCode
            // 
            resources.ApplyResources( this.famCode, "famCode" );
            this.famCode.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.famCode.Name = "famCode";
            this.famCode.UseMnemonic = false;
            // 
            // lbFamCode
            // 
            resources.ApplyResources( this.lbFamCode, "lbFamCode" );
            this.lbFamCode.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbFamCode.Name = "lbFamCode";
            this.lbFamCode.UseMnemonic = false;
            // 
            // keyID
            // 
            resources.ApplyResources( this.keyID, "keyID" );
            this.keyID.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.keyID.Name = "keyID";
            this.keyID.UseMnemonic = false;
            // 
            // lbKeyID
            // 
            resources.ApplyResources( this.lbKeyID, "lbKeyID" );
            this.lbKeyID.MinimumSize = new System.Drawing.Size( 100, 14 );
            this.lbKeyID.Name = "lbKeyID";
            this.lbKeyID.UseMnemonic = false;
            // 
            // btnReadKey
            // 
            resources.ApplyResources( this.btnReadKey, "btnReadKey" );
            this.btnReadKey.MinimumSize = new System.Drawing.Size( 100, 35 );
            this.btnReadKey.Name = "btnReadKey";
            this.btnReadKey.UseVisualStyleBackColor = true;
            this.btnReadKey.Click += new System.EventHandler( this.btnReadKey_Click );
            // 
            // btnEventMode
            // 
            resources.ApplyResources( this.btnEventMode, "btnEventMode" );
            this.btnEventMode.MinimumSize = new System.Drawing.Size( 100, 35 );
            this.btnEventMode.Name = "btnEventMode";
            this.btnEventMode.UseVisualStyleBackColor = true;
            this.btnEventMode.Click += new System.EventHandler( this.btnEventMode_Click );
            // 
            // gbKeyPageData
            // 
            this.tabLayoutUnten.SetColumnSpan( this.gbKeyPageData, 2 );
            this.gbKeyPageData.Controls.Add( this.tabLayoutKeyPages );
            resources.ApplyResources( this.gbKeyPageData, "gbKeyPageData" );
            this.gbKeyPageData.Name = "gbKeyPageData";
            this.gbKeyPageData.TabStop = false;
            // 
            // tabLayoutKeyPages
            // 
            resources.ApplyResources( this.tabLayoutKeyPages, "tabLayoutKeyPages" );
            this.tabLayoutKeyPages.Controls.Add( this.btnReadPages, 0, 1 );
            this.tabLayoutKeyPages.Controls.Add( this.pagesContent, 0, 0 );
            this.tabLayoutKeyPages.Name = "tabLayoutKeyPages";
            // 
            // btnReadPages
            // 
            resources.ApplyResources( this.btnReadPages, "btnReadPages" );
            this.btnReadPages.MinimumSize = new System.Drawing.Size( 150, 30 );
            this.btnReadPages.Name = "btnReadPages";
            this.btnReadPages.UseVisualStyleBackColor = true;
            this.btnReadPages.Click += new System.EventHandler( this.btnReadPages_Click );
            // 
            // pagesContent
            // 
            this.pagesContent.Cursor = System.Windows.Forms.Cursors.Default;
            resources.ApplyResources( this.pagesContent, "pagesContent" );
            this.pagesContent.MinimumSize = new System.Drawing.Size( 400, 80 );
            this.pagesContent.Name = "pagesContent";
            this.pagesContent.ReadOnly = true;
            // 
            // MainForm
            // 
            resources.ApplyResources( this, "$this" );
            this.Controls.Add( this.tabLayoutUnten );
            this.Controls.Add( this.gbDllData );
            this.Controls.Add( this.statusStrip1 );
            this.Controls.Add( this.mnuMain );
            this.KeyPreview = true;
            this.MainMenuStrip = this.mnuMain;
            this.Name = "MainForm";
            this.mnuMain.ResumeLayout( false );
            this.mnuMain.PerformLayout();
            this.statusStrip1.ResumeLayout( false );
            this.statusStrip1.PerformLayout();
            this.gbDllData.ResumeLayout( false );
            this.tabLayoutDllData.ResumeLayout( false );
            this.tabLayoutDllData.PerformLayout();
            this.tabLayoutUnten.ResumeLayout( false );
            this.gbKeyPilotData.ResumeLayout( false );
            this.tabLayoutKeyPilotData.ResumeLayout( false );
            this.tabLayoutKeyPilotData.PerformLayout();
            this.gbKeyData.ResumeLayout( false );
            this.tabLayoutKeyData.ResumeLayout( false );
            this.tabLayoutKeyData.PerformLayout();
            this.gbKeyPageData.ResumeLayout( false );
            this.tabLayoutKeyPages.ResumeLayout( false );
            this.tabLayoutKeyPages.PerformLayout();
            this.ResumeLayout( false );
            this.PerformLayout();

        }

        #endregion

        private MenuStrip mnuMain;
        private StatusStrip statusStrip1;
        private ToolStripMenuItem keyPilotToolStripMenuItem;
        private ToolStripMenuItem exitToolStripMenuItem;
        private ToolStripMenuItem mnuMainItemFile;
        private ToolStripStatusLabel statusBarText;

        private GroupBox gbDllData;
        private TableLayoutPanel tabLayoutDllData;
        private Label dllVersion;
        private Label lbDllVersion;
        private Label dllPath;
        private Label lbDllPath;

        private TableLayoutPanel tabLayoutUnten;
        private GroupBox gbKeyPilotData;
        private GroupBox gbKeyData;
        private GroupBox gbKeyPageData;
        private TableLayoutPanel tabLayoutKeyPilotData;
        private TableLayoutPanel tabLayoutKeyData;
        private Label lbKpSerialNo;
        private Label kpSerialNo;
        private Label lbKpFirmware;
        private Label kpFirmware;
        private Label lbKpName;
        private Label kpName;
        private Label lbKpDescription;
        private Label kpDescription;
        private TableLayoutPanel tabLayoutKeyPages;
        private Button btnReadPages;
        private TextBox pagesContent;
        private Button btnReadKey;
        private Button btnEventMode;
        private Label keyID;
        private Label lbKeyID;
        private Label lbFamCode;
        private Label famCode;
    }
}