﻿using System.ComponentModel;
/*
 *! @brief          Einstellungsdialog fuer C#-Beispiel
 *
 *! @author         Markus Biggel
 * letzte Aenderung 14.07.2010
 *
 *! @addtogroup csharpusage Verwendung in C#
 *! @file Beispiele/UsageInC-Sharp/src/kpDialog.Designer.cs
 *! @ingroup csharpusage csharp csharpusageev
*/
using System.Windows.Forms;


namespace keypilot
{
    partial class kpDialog
    {
        /// <summary>
        /// Designer variable used to keep track of non-visual components.
        /// </summary>
        private IContainer components = null;


        /// <summary>
        /// Disposes resources used by the form.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if ( disposing ) {
                if ( components != null ) {
                    components.Dispose();
                }
            }
            base.Dispose( disposing );
        }
        
        /// <summary>
        /// This method is required for Windows Forms designer support.
        /// Do not change the method contents inside the source code editor. The Forms designer might
        /// not be able to load this method if it was changed manually.
        /// </summary>
        private void InitializeComponent()
        {
            this.lbNumKP = new System.Windows.Forms.Label();
            this.numKP = new System.Windows.Forms.Label();
            this.lbCbKpList = new System.Windows.Forms.Label();
            this.cbKpList = new System.Windows.Forms.ComboBox();
            this.btnConnect = new System.Windows.Forms.Button();
            this.btnClose = new System.Windows.Forms.Button();
            this.btnDisconnect = new System.Windows.Forms.Button();
            this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
            this.lbConnectedKP = new System.Windows.Forms.Label();
            this.connectedKP = new System.Windows.Forms.Label();
            this.tableLayoutPanel1.SuspendLayout();
            this.SuspendLayout();
            // 
            // lbNumKP
            // 
            this.lbNumKP.AutoSize = true;
            this.lbNumKP.Dock = System.Windows.Forms.DockStyle.Fill;
            this.lbNumKP.Location = new System.Drawing.Point( 3, 3 );
            this.lbNumKP.Margin = new System.Windows.Forms.Padding( 3, 3, 3, 0 );
            this.lbNumKP.Name = "lbNumKP";
            this.lbNumKP.Size = new System.Drawing.Size( 112, 23 );
            this.lbNumKP.TabIndex = 0;
            this.lbNumKP.Text = "Anzahl KeyPilots:";
            this.lbNumKP.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // numKP
            // 
            this.tableLayoutPanel1.SetColumnSpan( this.numKP, 2 );
            this.numKP.Dock = System.Windows.Forms.DockStyle.Fill;
            this.numKP.Location = new System.Drawing.Point( 121, 3 );
            this.numKP.Margin = new System.Windows.Forms.Padding( 3, 3, 3, 0 );
            this.numKP.Name = "numKP";
            this.numKP.Size = new System.Drawing.Size( 303, 23 );
            this.numKP.TabIndex = 1;
            this.numKP.Text = "0";
            // 
            // lbCbKpList
            // 
            this.lbCbKpList.AutoSize = true;
            this.lbCbKpList.Dock = System.Windows.Forms.DockStyle.Fill;
            this.lbCbKpList.Location = new System.Drawing.Point( 3, 52 );
            this.lbCbKpList.Name = "lbCbKpList";
            this.lbCbKpList.Size = new System.Drawing.Size( 112, 26 );
            this.lbCbKpList.TabIndex = 2;
            this.lbCbKpList.Text = "KeyPilots";
            this.lbCbKpList.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // cbKpList
            // 
            this.tableLayoutPanel1.SetColumnSpan( this.cbKpList, 2 );
            this.cbKpList.Dock = System.Windows.Forms.DockStyle.Fill;
            this.cbKpList.DropDownWidth = 250;
            this.cbKpList.FormattingEnabled = true;
            this.cbKpList.Location = new System.Drawing.Point( 121, 55 );
            this.cbKpList.Name = "cbKpList";
            this.cbKpList.Size = new System.Drawing.Size( 303, 21 );
            this.cbKpList.TabIndex = 2;
            // 
            // btnConnect
            // 
            this.btnConnect.Dock = System.Windows.Forms.DockStyle.Fill;
            this.btnConnect.Location = new System.Drawing.Point( 124, 84 );
            this.btnConnect.Margin = new System.Windows.Forms.Padding( 6 );
            this.btnConnect.Name = "btnConnect";
            this.btnConnect.Size = new System.Drawing.Size( 142, 44 );
            this.btnConnect.TabIndex = 3;
            this.btnConnect.Text = "&Verbinden";
            this.btnConnect.UseVisualStyleBackColor = true;
            this.btnConnect.Click += new System.EventHandler( this.btnConnect_Click );
            // 
            // btnClose
            // 
            this.btnClose.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.btnClose.Location = new System.Drawing.Point( 0, 134 );
            this.btnClose.Name = "btnClose";
            this.btnClose.Size = new System.Drawing.Size( 427, 32 );
            this.btnClose.TabIndex = 5;
            this.btnClose.Text = "S&chließen";
            this.btnClose.UseVisualStyleBackColor = true;
            this.btnClose.Click += new System.EventHandler( this.btnClose_Click );
            // 
            // btnDisconnect
            // 
            this.btnDisconnect.Dock = System.Windows.Forms.DockStyle.Fill;
            this.btnDisconnect.Enabled = false;
            this.btnDisconnect.Location = new System.Drawing.Point( 278, 84 );
            this.btnDisconnect.Margin = new System.Windows.Forms.Padding( 6 );
            this.btnDisconnect.Name = "btnDisconnect";
            this.btnDisconnect.Size = new System.Drawing.Size( 143, 44 );
            this.btnDisconnect.TabIndex = 4;
            this.btnDisconnect.Text = "Verbindung &lösen";
            this.btnDisconnect.UseVisualStyleBackColor = true;
            this.btnDisconnect.Click += new System.EventHandler( this.btnDisconnect_Click );
            // 
            // tableLayoutPanel1
            // 
            this.tableLayoutPanel1.ColumnCount = 3;
            this.tableLayoutPanel1.ColumnStyles.Add( new System.Windows.Forms.ColumnStyle() );
            this.tableLayoutPanel1.ColumnStyles.Add( new System.Windows.Forms.ColumnStyle( System.Windows.Forms.SizeType.Percent, 50F ) );
            this.tableLayoutPanel1.ColumnStyles.Add( new System.Windows.Forms.ColumnStyle( System.Windows.Forms.SizeType.Percent, 50F ) );
            this.tableLayoutPanel1.Controls.Add( this.lbConnectedKP, 0, 1 );
            this.tableLayoutPanel1.Controls.Add( this.connectedKP, 1, 1 );
            this.tableLayoutPanel1.Controls.Add( this.lbNumKP, 0, 0 );
            this.tableLayoutPanel1.Controls.Add( this.btnDisconnect, 2, 3 );
            this.tableLayoutPanel1.Controls.Add( this.numKP, 1, 0 );
            this.tableLayoutPanel1.Controls.Add( this.lbCbKpList, 0, 2 );
            this.tableLayoutPanel1.Controls.Add( this.btnConnect, 1, 3 );
            this.tableLayoutPanel1.Controls.Add( this.cbKpList, 1, 2 );
            this.tableLayoutPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tableLayoutPanel1.Location = new System.Drawing.Point( 0, 0 );
            this.tableLayoutPanel1.Name = "tableLayoutPanel1";
            this.tableLayoutPanel1.RowCount = 4;
            this.tableLayoutPanel1.RowStyles.Add( new System.Windows.Forms.RowStyle( System.Windows.Forms.SizeType.Percent, 33.33333F ) );
            this.tableLayoutPanel1.RowStyles.Add( new System.Windows.Forms.RowStyle( System.Windows.Forms.SizeType.Percent, 33.33333F ) );
            this.tableLayoutPanel1.RowStyles.Add( new System.Windows.Forms.RowStyle( System.Windows.Forms.SizeType.Percent, 33.33333F ) );
            this.tableLayoutPanel1.RowStyles.Add( new System.Windows.Forms.RowStyle() );
            this.tableLayoutPanel1.Size = new System.Drawing.Size( 427, 134 );
            this.tableLayoutPanel1.TabIndex = 7;
            // 
            // lbConnectedKP
            // 
            this.lbConnectedKP.AutoSize = true;
            this.lbConnectedKP.Dock = System.Windows.Forms.DockStyle.Fill;
            this.lbConnectedKP.Location = new System.Drawing.Point( 3, 26 );
            this.lbConnectedKP.Name = "lbConnectedKP";
            this.lbConnectedKP.Size = new System.Drawing.Size( 112, 26 );
            this.lbConnectedKP.TabIndex = 8;
            this.lbConnectedKP.Text = "Verbundener KeyPilot:";
            this.lbConnectedKP.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // connectedKP
            // 
            this.tableLayoutPanel1.SetColumnSpan( this.connectedKP, 2 );
            this.connectedKP.Dock = System.Windows.Forms.DockStyle.Fill;
            this.connectedKP.Location = new System.Drawing.Point( 121, 26 );
            this.connectedKP.Name = "connectedKP";
            this.connectedKP.Size = new System.Drawing.Size( 303, 26 );
            this.connectedKP.TabIndex = 7;
            this.connectedKP.Text = "-";
            // 
            // kpDialog
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF( 6F, 13F );
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size( 427, 166 );
            this.Controls.Add( this.tableLayoutPanel1 );
            this.Controls.Add( this.btnClose );
            this.Name = "kpDialog";
            this.Text = "KeyPilot Connect";
            this.VisibleChanged += new System.EventHandler( this.EvVisibilityChanged );
            this.tableLayoutPanel1.ResumeLayout( false );
            this.tableLayoutPanel1.PerformLayout();
            this.ResumeLayout( false );

        }

        private System.Windows.Forms.Button btnDisconnect;
        private System.Windows.Forms.Button btnClose;
        private System.Windows.Forms.Button btnConnect;
        private System.Windows.Forms.ComboBox cbKpList;
        private System.Windows.Forms.Label lbCbKpList;
        private System.Windows.Forms.Label numKP;
        private System.Windows.Forms.Label lbNumKP;
        private TableLayoutPanel tableLayoutPanel1;
        private Label connectedKP;
        private Label lbConnectedKP;
    }
}