#include <stdio.h>
#include "KeyPilotUSBUserDLL.h"

/*! \addtogroup cscanner KeyPilot Scanner in C
    \file KeyScanner/main.c
     \ingroup cscanner
*/

int main();
static void ReadPage(KEYPILOT_USB_DEVICE* kp, KEYPILOT_KEYDATA* kpData, int pageNr, int pageSize, char* dataBuffer);

/*! \fn main()
    \ingroup cscanner
    \brief Dieses kleine Programm sucht nach angeschlossenen KeyPilots, gibt die Anzahl der gefundenen
           Ger&auml;te aus, baut eine Verbindung zu einem verf&uuml;gbaren Ger&auml;t auf
           und liest den Schl&uuml;ssel aus. Die empfangenen Daten werden dargestellt. Ggf. wird eine
           Fehlermeldung ausgegeben.
    \code
/**/
int main()
{
    int kpCount;
    KEYPILOT_USB_DEVICE *kpList = NULL;
    KEYPILOT_KEYDATA *kpData = malloc(sizeof(KEYPILOT_KEYDATA));
    KEYPILOT_USB_DEVICE *kp2 = malloc(sizeof(KEYPILOT_USB_DEVICE));
    int deviceID = -1;
    char version[ 100 ];
    char path[ _MAX_PATH ];
    int ret;
    int i;
    char dataBuffer[64];
    int pageSize;

    kpUSBGetLibraryVersion( version, sizeof(version) - 1 );
    printf( "DLL Version: %s\n", version );

    kpUSBGetLibraryPath( path, sizeof(path) - 1 );
    printf( "DLL Path: %s\n", path );

    // Scanning for KeyPilots
    while ( 1 ) {
        ret = kpUSBScanDevices();
        if ( ret != KP_OK ) {
            printf("ScanDevices Failed!\n");
            //return 0;
        }

        kpCount = kpUSBGetNumberOfDevices();
        if ( kpCount <= 0 ) {
            printf( "No KeyPilots connected to the system\n" );
            //return 0;
        } else{
            printf( "Number of KeyPilots found: %d\n", kpCount );
        }

        // find the first available KeyPilot
        /*if(kpList != NULL)
            free(kpList);
        kpList = malloc(sizeof(KEYPILOT_USB_DEVICE)*kpCount);
        kpUSBGetDeviceList(kpList,kpCount);
        for(i=0;i<kpCount;i++)
        {
            if(kpList[i].connectionStatus == AVAILABLE)
            {
                deviceID = kpList[i].deviceID;
                break;
            }
        }

        if(deviceID < 0)
        {
            printf("No KeyPilot available\n");
            return 0;
        }*/

        ret = kpUSBGetDeviceListIndex( kp2, 0 );
        //printf( "get idx %d\n", ret );
        if ( ret != KP_OK ) {
            printf( "kpUSBGetDeviceListIndex failed!\n" );
            //return 0;
        }

        /*kpUSBGetSerialNumber( 0, SerialNumber );
        kpUSBWritePagesToKey( 0, 0, 0, 0 );*/

        //Error = kpUSBGetLastError();*

        // connect to the KeyPilot, read the Key and disconnect
        if ( kpUSBConnectToDevice(kp2->deviceID) != KP_OK ) {
            printf("Error Connect to device\n");
            //return 0;
        }
        ret = kpUSBGetDeviceListIndex( kp2, 0 );
        //printf( "get idx %d\n", ret );
        if ( ret != KP_OK ) {
            printf( "kpUSBGetDeviceListIndex failed!\n" );
            //return 0;
        } else {
            printf( "After ConnectDevice, ConnStatus = %d\n",
                    kp2->connectionStatus );
        }

        if ( kpUSBGetKeyID(kp2->deviceID, kpData) != KP_OK ) {
            printf( "Error getKeyID:\n" );
            //return 0;
        } else {
            printf( "Key ID: %s\n", kpData->keyID );
            printf( "Valid Data: %d\n", kpData->validData );
        }
        fflush( stdin );
        scanf( "%x",&i );

        if ( kpUSBGetKeyID(kp2->deviceID, kpData) != KP_OK ) {
            printf( "Error getKeyID:\n" );
            //return 0;
        } else {
            printf( "Key ID: %s\n", kpData->keyID );
            printf( "Valid Data: %d\n", kpData->validData );
        }
        fflush( stdin );
        scanf( "%x", &i );

        if ( kpUSBGetKeyID(kp2->deviceID, kpData) != KP_OK ) {
            printf( "Error getKeyID:\n" );
            //return 0;
        } else {
            printf( "Key ID: %s\n", kpData->keyID );
            printf( "Valid Data: %d\n", kpData->validData );
        }
        fflush( stdin );
        scanf( "%x", &i );

        if ( kpUSBGetKeyID(kp2->deviceID, kpData) != KP_OK ) {
            printf( "Error getKeyID:\n" );
            //return 0;
        } else {
            printf( "Key ID: %s\n", kpData->keyID );
            printf( "Valid Data: %d\n", kpData->validData );
        }
        fflush( stdin );
        scanf( "%x", &i );

        if ( kpUSBGetKeyID(kp2->deviceID, kpData) != KP_OK ) {
            printf( "Error getKeyID:\n" );
            //return 0;
        } else {
            printf( "Key ID: %s\n", kpData->keyID );
            printf( "Valid Data: %d\n", kpData->validData );
        }
        fflush( stdin );
        scanf( "%x", &i );

        pageSize = kpUSBGetKeyPageSize( kp2->deviceID );
        if ( pageSize <= KP_OK ) {
            printf( "PageSize Not Valid or Error\n" );
            return;
        }

        for ( i = 0; i < 16; i++ ) {
            ReadPage( kp2, kpData, i, pageSize, dataBuffer );
        }

        ret = kpUSBDisconnectFromDevice( kp2->deviceID );
        if ( ret != KP_OK ) {
            printf( "Disconnect failed!\n" );
            //return 0;
        }

        ret = kpUSBScanDevices();
        //if(ret != KP_OK)
        //{
        //    printf("ScanDevices Failed!\n");
        //    //return 0;
        //}

        ret = kpUSBGetDeviceListIndex( kp2, 0 );
        //printf("get idx %d\n",ret);
        //if(ret != KP_OK)
        //{
        //    printf("kpUSBGetDeviceListIndex failed!\n");
        //    //return 0;
        //}
        //else
        //{
            printf( "After DisConnectDevice, ConnStatus = %d\n",
                    kp2->connectionStatus );
        //}

        fflush( stdin );
        scanf( "%x", &i );
        if ( i == 0 ) {
            return 0;
        }
    }

    return 0;
}

static void ReadPage(           KEYPILOT_USB_DEVICE* kp,
                                KEYPILOT_KEYDATA* kpData,
                                int pageNr,
                                int pageSize,
                                char* dataBuffer ) {
    int ret, i;

    if ( kpData->validData != 0 ) {
         printf( "Key ID: %s\n",kpData->keyID );
         printf( "Key Family Code: %s\n",kpData->famCode );

         ret = kpUSBReadPageFromKey( kp->deviceID, pageNr, dataBuffer, pageSize );
         if ( ret != KP_OK ) {
             printf( "Error Reading Page\n" );
         } else {
             for ( i = 0; i < pageSize; i++ ) {
                 printf( "0x%x ", dataBuffer[i] );
             }
             printf( "\n" );

             for ( i = 0; i < pageSize; i++ ) {
                 printf( "%c", dataBuffer[i] );
             }
             printf( "\n" );
         }
    } else {
         printf( "No Key on Device\n" );
    }

    return;
}
/*! \endcode */
