#include "KeyPilotCallbackClass.h"

/*! \file KeyPilotCallbackClass.cpp
    \ingroup cpp
*/

KeyPilotCallbackClass::KeyPilotCallbackClass()
{
}

KeyPilotCallbackClass::~KeyPilotCallbackClass()
{
}

KeyPilotCallbackClass* KeyPilotCallbackClass::getInstance()
{
    static KeyPilotCallbackClass* instance = new KeyPilotCallbackClass();
    return instance;
}

void WINAPI KeyPilotCallbackClass::keyPilotNotice(int deviceID, PKEYPILOT_KEYDATA keyData)
{
    PKEYPILOT_KEYDATA kData = new KEYPILOT_KEYDATA;
    strncpy(kData->command,keyData->command,12);
    strncpy(kData->crc, keyData->crc,3);
    strncpy(kData->famCode, keyData->famCode,3);
    strncpy(kData->keyID, keyData->keyID,13);
    kData->validData = keyData->validData;
    getInstance()->throwEvent(deviceID,kData);
}

void WINAPI KeyPilotCallbackClass::keyPilotDisconnect(int deviceID)
{
    getInstance()->throwEvent(deviceID,NULL,true);
}

void KeyPilotCallbackClass::throwEvent(int deviceID, PKEYPILOT_KEYDATA keyData, bool disconnect)
{
    int index = -1;
    for(unsigned int i=0; i < m_objectList.size();i++)
    {
        if(m_objectList.at(i)->deviceID == deviceID)
        {
            index = i;
            break;
        }
    }
    if(index < 0)
        return;
    
    m_objectList.at(index)->object->keyPilotEvent(keyData,disconnect);
}

void KeyPilotCallbackClass::deregisterClass(int deviceID, KeyPilotEv *ev)
{
    for(unsigned int i=0; i < m_objectList.size();i++)
    {
        if(m_objectList.at(i)->deviceID == deviceID && m_objectList.at(i)->object == ev)
        {
            m_objectList.erase(m_objectList.begin()+i);
            kpUSBSetEventmode(deviceID,0,0,NULL,NULL);
        }
    }
}

void KeyPilotCallbackClass::registerClass(int deviceID, KeyPilotEv *ev)
{
    RegisteredKPEventClasses* newEv = new RegisteredKPEventClasses;
    newEv->deviceID = deviceID;
    newEv->object = ev;
    m_objectList.push_back(newEv);
    printf("%d\n",kpUSBSetEventmode(deviceID,1,1,(KeyPilotCallbackClass::keyPilotNotice),(KeyPilotCallbackClass::keyPilotDisconnect)));
}
