#include "KeyPilotEv.h"
#include "KeyPilotCallbackClass.h"

/*! \file KeyPilotEv.cpp
    \addtogroup cpp Verwendung in C++
*/

KeyPilotEv::KeyPilotEv()
{
    m_deviceID = -1;
}

KeyPilotEv::KeyPilotEv(int deviceID)
{
    m_deviceID = deviceID;
    if(m_deviceID >= 0)
        KeyPilotCallbackClass::getInstance()->registerClass(m_deviceID,this);
}

KeyPilotEv::~KeyPilotEv()
{
    if(m_deviceID >= 0)
        KeyPilotCallbackClass::getInstance()->deregisterClass(m_deviceID,this);
}

void KeyPilotEv::setEventmode(bool evm)
{
    if(m_deviceID >= 0)
    {
        if(evm)
            KeyPilotCallbackClass::getInstance()->registerClass(m_deviceID,this);
        else
            KeyPilotCallbackClass::getInstance()->deregisterClass(m_deviceID,this);
        m_eventMode = evm;
    }
}

bool KeyPilotEv::isInEventMode() 
{ 
    return m_eventMode; 
} 

void KeyPilotEv::setDeviceID(int id)
{
    if(!m_eventMode)
        m_deviceID = id;
}

