#include <stdio.h>
#include <vector>

#include "KeyPilotClass.h"
#include "KeyPilotUSBUserDLL.h"

using namespace std;


int main()
{
    vector<KEYPILOT_USB_DEVICE> kpList;
    kpList = KeyPilotClass::getKeyPilotList();
    printf("Anzahl der KeyPilots: %d\n", kpList.size());
    KeyPilotClass kpClass;
    PKEYPILOT_KEYDATA kData = NULL;
    if(kpList.size() > 0 && kpList.at(0).connectionStatus == AVAILABLE)
    {
         printf("Verbinde...\n");
        kpClass.setDeviceID(kpList.at(0).deviceID);
        if(!kpClass.connectToDevice())
        {
            printf( "Verbindung fehlgeschlagen\n");
            return 0;
        }
        kData = kpClass.getKeyData();
        if(kData != NULL)
        {
             if(kData->validData != 0)
             {
                 printf("Schluesseldaten:\n");
                 printf("Schluessel-ID: %s\n",kData->keyID);
                 printf("Familien Code: %s\n",kData->famCode);
             }
             else
                 printf("Es liegt kein Schluessel auf\n");
        }
        printf( "Setze EventModus\n" );
        kpClass.setEventmode( true );
        if ( kpClass.isInEventMode() )
             printf( "verbunden\n" );
        while( kpClass.isConnected() );
        return 0;
    } else {
        if ( kpList.size() > 0 ) {
            printf( "Keine KeyPilots gefunden (in Benutzung von einem anderen Programm?)\n");
        } else {
            printf( "Kein KeyPilots angeschlossen\n" );
        }
    }
    return 0;
}
