/**
 * \file KEYPILOT_KEYDATA.java
 * 
 * @author AFahrenkrog
 *
 */

/**
 * \class KEYPILOT_KEYDATA
 * 
 * This class implements holds the value of a key on
 * the KeyPilot device
 * 
 */
public class KEYPILOT_KEYDATA {
	
	/** 
	 * \name KeyPilot data
	 * @{
	 */
	private int		validData;
	private String	command;
	private String	keyID;
	private String	famCode;
	private String	crc;
	/**
	 * @}
	 */
	
	/**
	 * \brief Gets the valid data flag
	 * @return 0 if invalid, 1 if valid
	 */
	public int getValidData(){
		return validData;
	}
	
	/**
	 * \brief Gets the present command
	 * @return The string with the present command
	 */
	public String getCommand(){
		return command;
	}
	
	/**
	 * \brief Gets the key ID
	 * @return String with the Key ID
	 */
	public String getKeyID(){
		return keyID;
	}
	
	/**
	 * \brief Gets the family code
	 * @return String with the family code
	 */
	public String getFamCode(){
		return famCode;
	}
	
	/**
	 * \brief Gets the cyclic redundancy check
	 * @return String with the CRC
	 */
	public String getCRC(){
		return crc;
	}
	
}
