Attribute VB_Name = "KeyPilotUser"
'Beispielprogramm zur Verwendung der KeyPilot-USBDLL unter VB6
'
'erstellt am: 19.05.2009
'erstellt von: T. Schmalholz
'
'Sysdesign GmbH
'Saentisstrasse 25
'88079 Kressbronn

'Definitionen von String Laengen
Public Const DLL_VERSION_LENGTH As Long = 10
Public Const KP_FIRMWARE_VERSION_LENGTH As Long = 11
Public Const SERIAL_NUMBER_LENGTH As Long = 50
Public Const KP_ERRSTRING_LENGTH As Long = 100

'Definitionen von Connection Status
Public Const NOT_AVAILABLE As Long = 0
Public Const AVAILABLE As Long = 1
Public Const CONNECTED As Long = 2

'Definitionen von Fehlerwerten aus der KeyPilot-USBDLL
Public Const KP_OK                     As Long = 0
Public Const KP_ERR_NO_DEVICE_FOUND    As Long = -1
Public Const KP_ERR_CONNECTION_FAILED  As Long = -4
Public Const KP_ERR_NOT_CONNECTED      As Long = -5
Public Const KP_ERR_WRONG_PAGE_SIZE    As Long = -6
Public Const KP_ERR_BUFFER_TOO_SMALL   As Long = -7
Public Const KP_ERR_DEVICE_BUSY        As Long = -10
Public Const KP_ERR_DEVICE_NOT_FOUND   As Long = -11
Public Const KP_ERR_UNKNOWN            As Long = -12
Public Const KP_ERR_ILLEGAL_DEVICE     As Long = -13
Public Const KP_ERR_DATASIZE_WRONG     As Long = -14
Public Const KP_ERR_READ_ERROR         As Long = -15
Public Const KP_ERR_TIMEOUT            As Long = -16
Public Const KP_ERR_WRONG_NR_OF_PAGES  As Long = -17
Public Const KP_ERR_WRONG_KEY_TYPE     As Long = -18
Public Const KP_ERR_IN_EVENTMODE       As Long = -19
Public Const KP_ERR_ILLEGAL_PAGE       As Long = -20
Public Const KP_ERR_WRITE_ERROR        As Long = -21
Public Const KP_ERR_CORRUPT_DATA       As Long = -23
Public Const KP_ERR_NOT_IMPLEMENTED    As Long = -24
Public Const KP_ERR_NO_KEY_ON_PILOT    As Long = -25
Public Const KP_ERR_TO_FEW_DATA        As Long = -26
Public Const KP_ERR_INDEX_OUT_OF_RANGE As Long = -27


'Name LED Farbcodes
Public Const KP_LED_COLOR_GREEN        As Long = 0
Public Const KP_LED_COLOR_RED          As Long = 1
Public Const KP_LED_COLOR_OFF          As Long = 2


'Deklarieren der Funktionen aus der KeyPilot-USBDLL
Public Declare Function kpUSBGetErrorString Lib "KeyPilotUSB.dll" (ByVal ErrorCode As Long, ByRef ErrorMsg As Byte, ByVal size As Long) As Long
Public Declare Function kpUSBGetDeviceListIndex Lib "KeyPilotUSB.dll" (ByRef device As KEYPILOT_USB_DEVICE, ByVal index As Long) As Long
Public Declare Function kpUSBGetDeviceList Lib "KeyPilotUSB.dll" (ByRef device As KEYPILOT_USB_DEVICE, ByVal length As Long) As Long
Public Declare Function kpUSBScanDevices Lib "KeyPilotUSB.dll" () As Long
Public Declare Function kpUSBGetNumberOfDevices Lib "KeyPilotUSB.dll" () As Long
Public Declare Function kpUSBGetDevice Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, kp As KEYPILOT_USB_DEVICE) As Long
Public Declare Function kpUSBGetKeyID Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, KeyData As KEYPILOT_KEYDATA) As Long
Public Declare Function kpUSBConnectToDevice Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long
Public Declare Function kpUSBDisconnectFromDevice Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long
Public Declare Function kpUSBSetEventmode Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByVal ev As Long, ByVal Wait As Long, ByVal noticeFunc As Long, ByVal DisconnectFunc As Long) As Long
Public Declare Function kpUSBReadPageFromKey Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByVal pageNo As Long, ByRef buffer As Byte, ByVal size As Long) As Long
Public Declare Function kpUSBGetKeyPageSize Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long
Public Declare Function kpUSBSetLED Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByVal color As Long) As Long
Public Declare Function kpUSBDeactivateTimeout Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long
Public Declare Function kpUSBWritePagesToKey Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByVal nrOfPages As Long, ByRef data As Byte, ByVal dataSize As Long) As Long
Public Declare Function kpUSBGetNrOfPages Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long
Public Declare Function kpUSBGetLastError Lib "KeyPilotUSB.dll" () As Long
Public Declare Function kpUSBGetLibraryVersion Lib "KeyPilotUSB.dll" (ByRef version As Byte, ByVal size As Long) As Long
Public Declare Function kpUSBGetFirmwareVersion Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByRef data As Byte, ByVal size As Long) As Long
Public Declare Function kpUSBSetSettingmode Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByVal active As Long) As Long
Public Declare Function kpUSBGetSerialNumber Lib "KeyPilotUSB.dll" (ByVal deviceID As Long, ByRef data As Byte, ByVal size As Long) As Long
Public Declare Function kpUSBDoesDeviceExist Lib "KeyPilotUSB.dll" (ByVal deviceID As Long) As Long

'wird nur fr den Superloop bentigt
Public Declare Sub Sleep Lib "kernel32" (ByVal msec As Long)


'Deklaration der KEYPILOT_KEYDATA Struktur
'int mssen als Long deklariert werden
Public Type KEYPILOT_KEYDATA
      validData As Long
      command(0 To 11) As Byte
      KeyID(0 To 12) As Byte
      famCode(0 To 2) As Byte
      crc(0 To 2) As Byte
End Type

'Deklaration der KEYPILOT_USB_DEVICE Struktur
'int mssen als Long deklariert werden
'wchar_t mssen mit doppelter Gre deklariert werden
Public Type KEYPILOT_USB_DEVICE
     serialNumber(0 To 49) As Byte
     connectionStatus As Long
     eventMode As Long
     vendorName(0 To 99) As Byte
     vendorID As Long
     productID As Long
     version As Long
     friendlyName(0 To 254) As Byte
     description(0 To 254) As Byte
     prName(0 To 255) As Byte
     deviceID As Long
End Type


'Deklaration einer Callback-Funktion
Sub KeyNoticeCallback(ByVal deviceID As Long, ByRef KeyData As KEYPILOT_KEYDATA)
    Dim output As String * 255
    Dim res As Long
    Dim ret As Long
    Dim key As KEYPILOT_KEYDATA
    Dim error(0 To KP_ERRSTRING_LENGTH - 1) As Byte
        
    'unter VB6 scheint der Zugriff auf den Parameter KeyData der Callback-Funktion nicht zu
    'funktionieren, deshalb werden die Daten hier nochmal abgefragt.
    ret = kpUSBGetKeyID(deviceID, key)
    
    If (ret <> 0) Then
        res = kpUSBGetErrorString(ret, error(0), UBound(error) + 1)
        MsgBox ("error #" & CStr(res) & vbNewLine & ByteArrayToString(error))
    Else
        If key.validData <> 0 Then
            output = "KeyID: " & ByteArrayToString(key.KeyID)
        Else
            output = "Key entfernt"
        End If
    End If
    
    MsgBox (output)
End Sub

'Deklaration einer Callback-Funktion
Sub KeyDisconnectCallback(ByVal deviceID As Long)
    MsgBox ("Device " + CStr(deviceID) + " wurde entfernt")
    End
End Sub



'Deklaration einer 'Byte to Hex' Konvertierungsfunktion
Public Function byte2hex(ByVal data As Byte) As String
    If data And &HF0 Then
        byte2hex = Hex$(data)
    Else
        byte2hex = "0" & Hex$(data)
    End If
End Function

'Funktionsdeklaration GetKPInformation(ByVal KeyPilot as KEYPILOT_USB_DEVICE) as String
'Diese Funktion gibt die information eines KeyPilot Gerts als String zurck.
Public Function GetKPInformation(ByRef KeyPilot As KEYPILOT_USB_DEVICE) As String

    'Die KeyPilot.prName Werte sind in 16Bit format, sie mssen zuerst auf 8Bit umgewandelt werden.
    'Dafr wird ein HilfsArray Deklariert
    Dim auxPrName(0 To 127) As Byte
    
    For i = 0 To UBound(auxPrName)
        auxPrName(i) = KeyPilot.prName(2 * i)
    Next i
        
    out = vbNewLine
    out = out & "SerialNumber: " & ByteArrayToString(KeyPilot.serialNumber) & vbNewLine
    out = out & "Connection Status: " & CStr(KeyPilot.connectionStatus)
    If KeyPilot.connectionStatus = 0 Then
        out = out & ": (Not Available)" & vbNewLine
    ElseIf KeyPilot.connectionStatus = 1 Then
        out = out & ": (Available)" & vbNewLine
    Else
        out = out & ": (Connected)" & vbNewLine
    End If
    out = out & "EventMode: " & CStr(KeyPilot.eventMode) & vbNewLine
    out = out & "Vendor Name: " & ByteArrayToString(KeyPilot.vendorName) & vbNewLine
    out = out & "Vendor ID: 0x" & CStr(Hex(KeyPilot.vendorID)) & vbNewLine
    out = out & "Product ID: 0x" & CStr(Hex(KeyPilot.productID)) & vbNewLine
    out = out & "Version: 0x" & CStr(Hex(KeyPilot.version)) & vbNewLine
    out = out & "Friendly Name: " & ByteArrayToString(KeyPilot.friendlyName) & vbNewLine
    out = out & "Description: " & ByteArrayToString(KeyPilot.description) & vbNewLine
    out = out & "Product Name: " & ByteArrayToString(auxPrName) & vbNewLine
    out = out & "Device ID: " & CStr(KeyPilot.deviceID)
    
    GetKPInformation = out
End Function

Public Function ByteArrayToString(bytArray() As Byte) As String
    Dim sAns As String
    Dim iPos As String
    
    sAns = StrConv(bytArray, vbUnicode)
    iPos = InStr(sAns, Chr(0))
    If iPos > 0 Then sAns = Left(sAns, iPos - 1)
    
    ByteArrayToString = sAns
 
 End Function
 
 Public Function WCharToString(ByRef InData As String) As String
    Dim temp As String
    Dim outData As String
    
    temp = StrConv(InData, vbToUnicode)
    temp = InStr(temp, Chr(0))
    
    If temp > 0 Then outData = Left(outData, temp - 1)
    
    WCharToString = outData
 End Function

'Hauptprogramm
Sub Main()
    
    'Startet das Programm und das Fenster
    KP_Form.Show
    
    'Die Verwendung der Callback-Funktionen ist prinzipiell mglich, aber VB6 verhlt sich dabei sehr instabil!
    'ret = kpUSBSetEventmode(0, 1, 1, AddressOf KeyNoticeCallback, AddressOf KeyDisconnectCallback)
    
    'Superloop
    'Do While 1 = 1
    '    Sleep (200)
    '    DoEvents
    'Loop
            
End Sub
